Author Topic: noun/verb selection  (Read 4512 times)

0 Members and 1 Guest are viewing this topic.

ffgus

  • Guest
noun/verb selection
« on: November 18, 2009, 08:02:58 AM »
Is there any reason my noun/verb selection could keep randomly "unchecking" itself?  Seriously!

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: noun/verb selection
« Reply #1 on: November 18, 2009, 08:04:11 AM »
are you running any LISP routines, that might be turning your Pickfirst variable off?


what version of C3D are you using?
Be your Best


Michael Farrell
http://primeservicesglobal.com/

ffgus

  • Guest
Re: noun/verb selection
« Reply #2 on: November 18, 2009, 08:06:28 AM »
Running 2010. Not running any LISP.

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: noun/verb selection
« Reply #3 on: November 18, 2009, 08:08:46 AM »
Running 2010. Not running any LISP.

2010...well perhaps it is the SAME problem as with these versions


Autodesk® Civil 3D® 2006
Autodesk® Civil 3D® 2005
Autodesk® Land Desktop 2007
Autodesk® Land Desktop 2006
Issue


You noticed that when you used the MVSETUP command multiple times in combination with the UNDO command, the right-click shortcut menu and the order of command execution were changed.


Solution


To revert to the previous behavior

1.On the command line, enter PICKFIRST
2.When prompted to enter a new value, enter 1
This will reset the right-click menu and order of execution to the default behaviors.

Are you using MVSETUP?
Be your Best


Michael Farrell
http://primeservicesglobal.com/

ffgus

  • Guest
Re: noun/verb selection
« Reply #4 on: November 18, 2009, 08:10:19 AM »
Yes, I use mvsetup to rotate view's in my viewports.

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: noun/verb selection
« Reply #5 on: November 18, 2009, 08:11:00 AM »
also you might want to verify that your GRIPS are not being turned off....

next time it seems to not be working:

To enable grips
1.On the command line, type grips and press ENTER.
2.In response to the prompt, type 1 and press ENTER.
Be your Best


Michael Farrell
http://primeservicesglobal.com/

ffgus

  • Guest
Re: noun/verb selection
« Reply #6 on: November 18, 2009, 08:13:06 AM »
thanks sir!

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: noun/verb selection
« Reply #7 on: November 18, 2009, 08:13:45 AM »
Yes, I use mvsetup to rotate view's in my viewports.

Well that could be it, yo will want to test and verify.

And although many will groan when they read this autodesk is notorious for carrying a 'problem' with the software forward for many versions until they finally resolve it, if ever.  That's a fact I've come to accept after using their products since R2.x, some are more tolerant of that than myself.
Be your Best


Michael Farrell
http://primeservicesglobal.com/

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: noun/verb selection
« Reply #8 on: November 18, 2009, 08:14:22 AM »
thanks sir!
From that I am to imply that MVSETUP is in play here?
Be your Best


Michael Farrell
http://primeservicesglobal.com/

ffgus

  • Guest
Re: noun/verb selection
« Reply #9 on: November 18, 2009, 08:16:30 AM »
hopefully that is all it is.  guess we'll just have to live with it and keep resetting it when it gets turned off. thanks again.

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: noun/verb selection
« Reply #10 on: November 18, 2009, 08:20:46 AM »
this would suggest that you verify that all service packs are applied...and should the issue continue; file a report through your reseller, or the subscription center....and maybe in some future release it might be fixed.   



 :lmao:
Be your Best


Michael Farrell
http://primeservicesglobal.com/

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: noun/verb selection
« Reply #11 on: November 18, 2009, 08:23:53 AM »
curious FF...are you folks using or not, the plan production tools to set up your sheets?

I think that should you alter your workflow to use them; then this issue would be less of a constant bother to you.
Be your Best


Michael Farrell
http://primeservicesglobal.com/

ffgus

  • Guest
Re: noun/verb selection
« Reply #12 on: November 18, 2009, 11:37:19 AM »
no, we don't use the plan production tools.  Have never tried them, maybe will start.

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: noun/verb selection
« Reply #13 on: November 18, 2009, 11:46:02 AM »
no, we don't use the plan production tools.  Have never tried them, maybe will start.

Even for a simple site survey, they have the potential of standardizing your work flow, and the side effect would be no more hassle with MVSETUP.

Or as an alternate, try using DVIEW instead with the TWIST option to align your modelspace views to the page.
Be your Best


Michael Farrell
http://primeservicesglobal.com/

dfarris75

  • Guest
Re: noun/verb selection
« Reply #14 on: November 18, 2009, 01:03:17 PM »
Or go even one step further and use this lisp which will rotate your view based on two points and also set the snapang to match. I use this and changed my pgp to make the command T instead of TW. Passing thought: Why didn't I just change the lsp? I don't remember.

Code: [Select]
;; ------------------------------------------------------------------
;; TWIST2P.LSP  Copyright 2009  Sonny Morales - smorales02 on cadtutor.net forums  all rights reserved
;;
;;  Author: Sonny Morales
;;
;;  Performs a dview twist based on two selected points.
;;
;;  Feel free to copy, and modify as desired, just
;;  retain this header and append as necessary.
;;
;;
;; ------------------------------------------------------------------
(defun rtd (a) (/ (* a 180.0)pi))
(defun dtr (a)
        (* pi (/ a 180.0)))
       
(DEFUN C:TW(/ W2 W1 ANG)
        (PRINC"\nSelect two point along the desired horizontal line. ")
        (SETVAR"OSMODE"512)(IF(SETQ W2(GETPOINT"\nFirst point (left): "))
        (PROGN(INITGET 1)(SETQ W1(GETPOINT"\nSecond point: "W2)ANG(ANGLE W2 W1))
        (COMMAND"DVIEW""L" "" "TW"(- 360(RTD ANG))"")(SETVAR"SNAPANG"ANG)))
        (SETVAR"OSMODE"4643))